Problem installing postresql

Bug #367695 reported by mschwery on 2009-04-27
4
Affects Status Importance Assigned to Milestone
postgresql-8.3 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: postgresql

suse@suse-desktop:~$ sudo apt-get install postgresql postgresql-client postgresql-contrib
Reading package lists... Done
Building dependency tree
Reading state information... Done
postgresql is already the newest version.
postgresql-client is already the newest version.
postgresql-contrib is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 171 not upgraded.
4 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up postgresql-8.3 (8.3.7-0ubuntu8.10.1) ...
 * Starting PostgreSQL 8.3 database server * Error: The server must be started under the locale : which does not exist any more.
                                                                                                              [fail]
invoke-rc.d: initscript postgresql-8.3, action "start" failed.
dpkg: error processing postgresql-8.3 (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of postgresql:
 postgresql depends on postgresql-8.3; however:
  Package postgresql-8.3 is not configured yet.
dpkg: error processing postgresql (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of postgresql-contrib-8.3:
 postgresql-contrib-8.3 depends on postgresql-8.3; however:
  Package postgresql-8.3 is not configured yet.
dpkg: error processing postgresql-contrib-8.3 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of postgresql-contrib:
 postgresql-contrib depends on postgresql-contrib-8.3; however:
  Package postgresql-contrib-8.3 is not configured yet.
dpkg: error processing postgresql-contrib (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                               No apport report written because MaxReports is reached already
                                        Errors were encountered while processing:
 postgresql-8.3
 postgresql
 postgresql-contrib-8.3
 postgresql-contrib

Yaroslav Halchenko (yarikoptic) wrote :

I just hit the same... google lead me to
http://www.mydatabasesupport.com/forums/postgresql/359831-general-file-system-level-backup-32bit-64bit.html
which seems to match my use case -- I've moved DB from 32bit box to 64 -- so I guess that is the reason for me.
Is it the same in your case?

Martin Pitt (pitti) on 2009-07-08
affects: postgresql (Ubuntu) → postgresql-8.3 (Ubuntu)
Changed in postgresql-8.3 (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers